Page MenuHomePhabricator

Don't close notification popup when tapping on dropdown
Closed, ResolvedPublic2 Estimated Story Points

Description

This was noticed in the mobile view, but may be reproducible under some conditions in desktop as well.

Steps to reproduce:

  • On a mobile device, open any wiki page in mobile view
  • Tap on the star icon to watch the page
  • Tap on the dropdown
  • Note the notification popup disappears and you're unable to select and item from the dropdown

Acceptance criteria:

  • Tapping (or clicking) on a dropdown in a notification popup should not close the popup

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptSep 2 2020, 9:02 PM

Change 623866 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/core@master] Don't close .mw-notification when clicking on <select> element

https://gerrit.wikimedia.org/r/623866

ARamirez_WMF set the point value for this task to 2.Sep 3 2020, 5:56 PM

Change 623866 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.notification: Don't close notif when clicking <select> element

https://gerrit.wikimedia.org/r/623866

dom_walden added a subscriber: dom_walden.

You can now select an expiry option from the dropdown on mobile.

After making a selection from the dropdown, the popup remains visible for about 6 seconds.

However, I find that if I open the dropdown for a second time, the popup dismisses after 6 seconds even if the dropdown is open. So, you can make a second (or even third) expiry selection (if you change your mind), but you have to be quick. I might raise this as a separate bug.

Similarly to described in T261476#6440072, while the dropdown is open if I tap outside the dropdown (dismissing the dropdown) the popup remains indefinitely.

Devices and browsers tested (on browserstack):

  • iPhone 8 Safari
  • iPhone 11 Safari
  • iPad 7th Safari
  • Galaxy S8 Firefox
  • Galaxy S9 Chrome
  • Google Nexus 6 Firefox
  • Google Pixel 4 Firefox

Test environment: https://en.wikipedia.beta.wmflabs.org MediaWiki 1.36.0-alpha (e81e81e) 2020-09-06T18:54:00.

Change 626532 had a related patch set uploaded (by Dmaza; owner: MusikAnimal):
[mediawiki/core@REL1_35] mediawiki.notification: Don't close notif when clicking <select> element

https://gerrit.wikimedia.org/r/626532

Change 626532 merged by jenkins-bot:
[mediawiki/core@REL1_35] mediawiki.notification: Don't close notif when clicking <select> element

https://gerrit.wikimedia.org/r/626532

ifried added a subscriber: ifried.

I have tested this, and I can now make a selection of a temporary time period in mobile (see screenshot example below). The star is half-shaded (see screenshot example below), but only upon refresh (which will be separately handled in T261970). As for the issue Dom described (the pop-up not remaining open until selection period complete, when multiple selections are made) can be handled in a separate ticket (T262672). I'm marking this as Done.

Selecting from dropdown:

Screen Shot 2020-09-11 at 9.49.08 AM.png (603ร—705 px, 151 KB)

Half star:
Screen Shot 2020-09-11 at 9.49.21 AM.png (609ร—754 px, 100 KB)